vi:
  errors:
    format: "%{attribute} %{message}"
    messages:
      not_true: không chính xác
      accepted: phải được đồng ý
      blank: không thể để trống
      confirmation: không trùng khớp
      empty: không thể rỗng
      equal_to: phải bằng %{count}
      even: phải là số chẵn
      exclusion: đã được giành trước
      greater_than: phải lớn hơn %{count}
      greater_than_or_equal_to: phải lớn hơn hoặc bằng %{count}
      inclusion: không nằm trong giá trị cho phép
      invalid: không đúng định dạng
      less_than: phải nhỏ hơn %{count}
      less_than_or_equal_to: phải nhỏ hơn hoặc bằng %{count}
      model_invalid: 'Xác thực thất bại! Lỗi: %{errors}'
      not_a_number: phải là chữ số
      not_an_integer: phải là một số nguyên
      odd: phải là số lẻ
      other_than: cần phải khác %{count}
      present: cần phải để trống
      required: phải tồn tại
      taken: đã tồn tại
      too_long: quá dài (tối đa %{count} ký tự)
      too_short: quá ngắn (tối thiểu %{count} ký tự)
      wrong_length: độ dài không đúng (phải là %{count} ký tự)

      # Date range custom validation
      not_in_date_range: phải nằm trong khoảng từ ngày %{from} đến ngày %{to}
      greater_than_or_equal_to_date: phải là trong hoặc sau ngày %{date}
      greater_than_date: phải sau ngày %{date}
      less_than_or_equal_to_date: phải trước hoặc trong ngày %{date}
      less_than_date: phải trước ngày %{date}
      less_than_or_eql_to_year: không được sau năm %{year}
      greater_than_year: phải trước năm %{year}

      # Custom errors
      slug_format: chỉ chấp nhận các chữ, số latin không dấu và các kí tự gạch ngang (-), khoảng trống ( ), gạch dưới (_)

  activerecord:
    errors:
      messages:
        record_invalid: 'Có các lỗi sau: %{errors}'
        restrict_dependent_destroy:
          has_one: Không thể xóa do tồn tại đối tượng phụ thuộc %{record}
          has_many: Không thể xóa do tồn tại một số đối tượng phụ thuộc %{record}

  activemodel:
    errors:
      messages:
        record_invalid: 'Có các lỗi sau: %{errors}'
